View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000251aMuleMiscpublic2005-01-07 12:432005-02-07 05:18
Reporterblue_eclipse 
Assigned ToKry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.0-rc8 
Target VersionFixed in VersionSVN 
Summary0000251: Possible non-closing of connections, Router stall
Description
First of all, sorry for my English, I'll try to explain the best I can.
Running aMule with 200 max connections and 5 max connections every 5 seconds causes my router to stall every 12h
(more or less). One may think it's a matter of my router that just
can't handle all the connections. The thing is that it is a D-Link 504T, which is a Linux based router. I investigated further and I
discovered that accessing this router from telnet and doing a:

echo 2048 > /proc/sys/net/ipv4/ip_conntrack_max (1024 by default)

this doubles the time it tooks the router to crash (24h, 1 day more or less). So I just double the NAT table size and... (!) what suspicious (!) It's ok, after 24h the router crashes. I manage to
"unstall" it in two differents ways: a) closing amule b) increasing
the ip_conntrack_max to 2500, waha?!?

MLDonkey works just fine with this values (all the time). I believe
aMule could be flooding my router by non closing connections that acumulate and eventually become too much.

Regards.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000525)
Kry (manager)
2005-01-19 18:22

Might be related to a but I introduced on rc8. Can you try current CVS version?
(0000530)
blue_eclipse (reporter)
2005-01-19 18:59

Sure! I'll try to test CVS if I get some time.
(0000531)
blue_eclipse (reporter)
2005-01-19 19:12

By the way (on my D-link ADSL Linux router):

cat ip_conntrack | grep "tcp" -c
1950 <= O_o wow!

cat ip_conntrack | grep "CLOSE_WAIT" -c
1467 <= O_O wowow!

I managed to stabilize my router by setting aggressive close_wait
timeouts:

echo 120 > /proc/sys/net/ipv4/netfilter/ip_conntrack_tcp_timeout_close_wait

3 days running flawlessly. Is it expectable that aMule creates such massive
amount of close_wait state connections?

Regards
(0000592)
Kry (manager)
2005-02-01 22:38

No, it is not. Must be a bug I also have.
(0000609)
Kry (manager)
2005-02-07 05:18

AFICS, when Xaignar disabled the retries code, this got fixed :)

- Issue History
Date Modified Username Field Change
2005-01-07 12:43 blue_eclipse New Issue
2005-01-19 18:22 Kry Note Added: 0000525
2005-01-19 18:26 Kry Status new => assigned
2005-01-19 18:26 Kry Assigned To => Kry
2005-01-19 18:59 blue_eclipse Note Added: 0000530
2005-01-19 19:12 blue_eclipse Note Added: 0000531
2005-02-01 22:38 Kry Note Added: 0000592
2005-02-07 05:18 Kry Status assigned => resolved
2005-02-07 05:18 Kry Fixed in Version => CVS
2005-02-07 05:18 Kry Resolution open => fixed
2005-02-07 05:18 Kry Note Added: 0000609


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker